ยินดีต้อนรับคุณ, บุคคลทั่วไป กรุณา เข้าสู่ระบบ หรือ ลงทะเบียน

เข้าสู่ระบบด้วยชื่อผู้ใช้ รหัสผ่าน และระยะเวลาในเซสชั่น

ThaiSEOBoard.comพัฒนาเว็บไซต์CMS & Free Scriptเราสามารถติดตั้ง plugins WordPress ข้ามเวอร์ชันได้ไหมครับ
หน้า: [1]   ลงล่าง
พิมพ์
ผู้เขียน หัวข้อ: เราสามารถติดตั้ง plugins WordPress ข้ามเวอร์ชันได้ไหมครับ  (อ่าน 1061 ครั้ง)
0 สมาชิก และ 1 บุคคลทั่วไป กำลังดูหัวข้อนี้
suriyan2538
ก๊วนเสียว
*

พลังน้ำใจ: 8
ออฟไลน์ ออฟไลน์

กระทู้: 281



ดูรายละเอียด เว็บไซต์
« เมื่อ: 15 พฤศจิกายน 2023, 22:29:49 »

ขอถามแบบคนไม่รู้เรื่องเลยนะครับ เพราะปกติผมใช้ CMS ตัวอื่นในการทำเว็บ ส่วน WP ผมเพิ่งลองเล่นได้ไม่นานเท่าไหร่

คือผมสงสัยว่า พวก plugins เนี่ย เขาสามารถติดตั้งข้ามเวอร์ชันกันได้ไหมครับ

เช่น plugin บางตัวทำมาเพื่อใช้งานกับ WordPress 4 หรือ 5 แต่ปัจจุบันผมใช้งาน WordPress 6 ผมสามารถเอา plugins ที่ไม่มีการอัปเดตตามเวอร์ชันพวกนี้ มาใช้งานร่วมกับเวอร์ชัน 6 ได้ไหมครับ

หรือใช้งานได้แค่ในเวอร์ชันย่อย เช่นใช้ได้แค่กับ 5.1 5.2 อะไรพวกนั้น แต่ใช้งานข้ามเวอร์ชันหลักไม่ได้

ที่ผมอยากรู้ พอดี CMS ตัวที่ผมคุ้นมือ มันจะเป็นในลักษณะใช้งานร่วมกับเวอร์ชันหลักตัวอื่นไม่ได้เลย เช่น เวอร์ชัน 4 จะใช้กับ 5 ไม่ได้ และของเวอร์ชัน 5 ก็จะใช้กับ 6 ไม่ได้ จะใช้ร่วมกันได้แค่ในเวอร์ชันย่อยๆ เท่านั้น

ขอบคุณสำหรับความคิดเห็นครับ
บันทึกการเข้า

longdoodi
สมุนแก๊งเสียว
*

พลังน้ำใจ: 79
ออฟไลน์ ออฟไลน์

กระทู้: 835



ดูรายละเอียด เว็บไซต์
« ตอบ #1 เมื่อ: 16 พฤศจิกายน 2023, 08:23:31 »

ถ้าข้ามไกลๆ เกินอาจมีปัญหาปลั๊กอินไม่เข้ากับตัวเวิร์ดเพลสเวอร์ชั่นใหม่ๆ ครับ เลือกใช้ปลั๊กอินที่เป็นที่ินิยม มีการอัพเดทบ่อยอยู่เสมอ จะอุ่นใจ ปลอดภัยกว่าครับ
บันทึกการเข้า

nuengzaxi
ก๊วนเสียว
*

พลังน้ำใจ: 10
ออฟไลน์ ออฟไลน์

กระทู้: 329



ดูรายละเอียด
« ตอบ #2 เมื่อ: 16 พฤศจิกายน 2023, 09:04:11 »

ได้ แต่อาจไม่สมบรูณ์หรืออาจไม่ทำงานเลย  ....สรุปควรใช้เวอร์ชั่นล่าสุดเสมอ
บันทึกการเข้า
tenzamak
Verified Seller
เจ้าพ่อบอร์ดเสียว
*

พลังน้ำใจ: 800
ออฟไลน์ ออฟไลน์

กระทู้: 13,958



ดูรายละเอียด
« ตอบ #3 เมื่อ: 16 พฤศจิกายน 2023, 13:48:57 »

บางตัวก็ได้บางตัวก็ไม่ได้ ส่วนใหญ่มันจะไปมีปัญหากับ versions php ครับ

ยกตัวอย่าง wp เรียกเวอร์ชั่น php 7.4 แต่ปลั๊กอินรองรับแค่ php 5.6

ถ้าอัพเดทไม่ได้เลิกใช้ไปง่ายกว่าครับ
บันทึกการเข้า



host ราคาเริ่มต้นที่ 500/ปี
host inter ราคาเริ่มต้นที่ 500/ปี
hosting singapore ราคาเริ่มต้นที่ 500/ปี
vps ราคาเริ่มต้นที่ 500/เดือน
vii
Verified Seller
สมุนแก๊งเสียว
*

พลังน้ำใจ: 131
ออฟไลน์ ออฟไลน์

กระทู้: 942



ดูรายละเอียด เว็บไซต์
« ตอบ #4 เมื่อ: 16 พฤศจิกายน 2023, 17:14:33 »

plugin ที่ทำมาใช้กับ wp4, 5 นั่นแสดงว่าเป็นปลั๊กอินเก่า

wp รุ่นใหม่ๆมีการเลิกใช้ (deprecated) และเอาออก (removed) พวก hooks, filters ต่างๆตามกาลเวลา ถึงแม้ว่าจะมีน้อยกว่าเจ้าอื่นๆแต่ก็ยังมี.
และปลั๊กอินบางตัวที่เขียนใช้กับ wp4, 5 อาจใช้กับ 6 ไม่ได้เนื่องจาก hooks, filters ถูกเลิกใช้หรือเอาออกไปแล้วตามที่บอก และคนเขียนปลั๊กอินดันไม่อัปเดตโค้ดตาม.

ดังนั้นต้องดูเป็นตัวๆไป แล้วแนะนำให้อัปเดตสม่ำเสมอ ไม่สามารถสรุปเหมารวมได้ว่ามันใช้ข้ามรุ่นได้หรือไม่ได้ ต้องระบุเป็นรายตัวเลย เพราะบางตัวเขาทำมาดีมาก ทำให้ใช้รุ่นโคตรเก่าได้แต่อัปเดตชนขอบรุ่นใหม่ๆเสมอ ก็ใช้ได้ยาวๆ.

นอกจากนี้ก็เป็นปัญหาเรื่อง PHP ตามที่ข้างบนบอกไว้.
บันทึกการเข้า

ivar
หัวหน้าแก๊งเสียว
*

พลังน้ำใจ: 70
ออฟไลน์ ออฟไลน์

กระทู้: 2,522



ดูรายละเอียด
« ตอบ #5 เมื่อ: 16 พฤศจิกายน 2023, 17:52:07 »

ไม่ดีค่ะ ปัญหาเยอะ
บันทึกการเข้า

helloweentz
หัวหน้าแก๊งเสียว
*

พลังน้ำใจ: 37
ออฟไลน์ ออฟไลน์

กระทู้: 1,375



ดูรายละเอียด เว็บไซต์
« ตอบ #6 เมื่อ: 16 พฤศจิกายน 2023, 20:24:29 »

ได้แต่ต้องสังเกตุ ปัญหาเอาครับ แต่ก็ไม่แนะนำ  Tongue
บันทึกการเข้า

tamuraki
หัวหน้าแก๊งเสียว
*

พลังน้ำใจ: 28
ออฟไลน์ ออฟไลน์

กระทู้: 1,220



ดูรายละเอียด เว็บไซต์
« ตอบ #7 เมื่อ: 16 พฤศจิกายน 2023, 21:47:55 »

บางทีตามไม่ทันนะครับ ปัญหาอาจจะตามมาอีกเพียบ  Tongue
บันทึกการเข้า

mrtseodesign
Newbie
*

พลังน้ำใจ: 0
ออฟไลน์ ออฟไลน์

กระทู้: 65



ดูรายละเอียด เว็บไซต์
« ตอบ #8 เมื่อ: 16 พฤศจิกายน 2023, 22:06:47 »

 Shocked แนะนำว่า ขนาดไม่ข้ามแล้วออโต้อัพยัง เละ เลย อิอิ การจัดการที่ดีเท่านั้นที่จะแก้ปัญหาให้เพื่อนๆ ได้่ Cry
บันทึกการเข้า
TG_Min
หัวหน้าแก๊งเสียว
*

พลังน้ำใจ: 161
ออฟไลน์ ออฟไลน์

กระทู้: 1,459



ดูรายละเอียด เว็บไซต์
« ตอบ #9 เมื่อ: 17 พฤศจิกายน 2023, 10:17:21 »

ใช้ได้ครับ แต่มันจะมีช่องโหว่ให้เจาะเพิ่มขึ้น
บันทึกการเข้า

หน้า: [1]   ขึ้นบน
พิมพ์